/[suikacvs]/test/suikawebwww/style/html/xhtml2.css
Suika

Contents of /test/suikawebwww/style/html/xhtml2.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.4 - (show annotations) (download) (as text)
Wed Dec 15 13:43:30 2004 UTC (21 years, 8 months ago) by wakaba
Branch: MAIN
Changes since 1.3: +23 -1 lines
File MIME type: text/css
Some rules added

1 @namespace 'http://www.w3.org/2002/06/xhtml2';
2 @namespace h2 'http://www.w3.org/2002/06/xhtml2';
3
4 html {
5 display: block;
6 line-height: 2.0;
7 }
8 head {
9 display: block;
10 max-width: 0;
11 max-height: 0;
12 visibility: hidden;
13 overflow: hidden;
14 }
15
16 title {
17 display: inline;
18 -moz-binding: url(../ui/title.xbl#title);
19 }
20
21 link {
22 display: inline;
23 -moz-binding: url(xhtml2-translate.xbl#copy-as-child);
24 }
25
26 meta {
27 display: inline;
28 -moz-binding: url(xhtml2-translate.xbl#meta);
29 }
30
31 body {
32 display: block;
33 margin: 1em 1.5em;
34 }
35
36 section {
37 display: block;
38 margin: 1em 0.5em;
39 }
40
41 section + section {
42 margin-top: 1em;
43 }
44
45 h {
46 display: block;
47 margin-left: -0.5em;
48 margin-bottom: 0.5em;
49 font-size: 120%;
50 font-weight: bolder;
51 line-height: 1.2;
52 }
53
54 body > h { /* h1 */
55 margin-left: 2em;
56 margin-right: 2em;
57 text-align: center;
58 font-size: 140%;
59 }
60
61 p {
62 display: block;
63 margin: 0.3em 0;
64 padding: 0;
65 text-indent: 1em;
66 text-align: justify;
67 }
68
69 l {
70 display: block;
71 }
72
73 blockquote, blockcode {
74 display: block;
75 }
76
77 blockcode, code, samp, kbd {
78 font-family: "Courier New", "Courier", monospace;
79 letter-spacing: 0.1em;
80 }
81
82 code.uri:before, code.mail:before {
83 content: "<";
84 }
85 code.uri:after, code.mail:after {
86 content: ">";
87 }
88 code.math {
89 font-family: "Times New Roman", "Times", serif;
90 }
91 var {
92 font-style: italic;
93 }
94 dfn {
95 font-weight: bolder;
96 }
97
98 /* List */
99
100 ul, ol, nl {
101 display: block;
102 }
103 li {
104 display: list-item;
105 margin-left: 2em;
106 padding-left: 0.5em;
107 }
108 label {
109 display: block;
110 font-weight: bolder;
111 text-decoration: underline;
112 }
113
114 dl {
115 display: block;
116 margin-top: 0.4em;
117 margin-bottom: 0.4em;
118 padding: 0;
119 }
120 di {
121 display: block;
122 margin: 0.3em 1em;
123 padding: 0;
124 }
125 dt {
126 display: list-item;
127 list-style-item: disc;
128 margin: 0;
129 padding: 0 0 0 0.5em;
130 }
131 dd {
132 display: block;
133 display: run-in;
134 margin: 0 0 0 3em;
135 padding: 0;
136 }
137
138 /* dl old style */
139 /* Note. dl should have di */
140 dl > dt {
141 margin: 0.3em 0 0 0;
142 border-right: red 2px solid;
143 }
144 dl > dd {
145 margin: 0 0 0.3em 3em;
146 border-right: red 2px solid;
147 }
148
149 /* Link */
150 [href] {
151 color: blue;
152 cursor: pointer;
153 text-decoration: none !important;
154 border-style: hidden;
155 border-width: 1px;
156 border-color: blue;
157 }
158 [href] {
159 color: -moz-hyperlinktext;
160 border-color: -moz-hyperlinktext;
161 -moz-binding: url(xhtml2-translate.xbl#href);
162 }
163 [href]:hover {
164 color: inherit;
165 border-style: solid;
166 border-width: 1px;
167 border-color: red;
168 }
169 [href]:active {
170 color: -moz-activehyperlinktext;
171 }
172
173 /*
174 * $B8@8l>pJs$G>l9gJ,$1$9$k$N$O@5$7$/$J$$$,!"8=:_$N(B CSS
175 * $B$K$OMQ;z7O$NA*Br;R$,$J$$$+$i!"6a;wE*$K$3$l$r;H$&!#(B
176 */
177
178 [xml|lang|="ja"] cite {
179 quotes: "$B!X(B" "$B!Y(B" "$B!V(B" "$B!W(B";
180 font-style: normal;
181 }
182 [xml|lang|="ja"] cite:before {
183 content: open-quote;
184 }
185 [xml|lang|="ja"] cite:after {
186 content: close-quote;
187 }
188 [xml|lang|="en"] cite {
189 quotes: none;
190 font-style: italic;
191 }
192 [xml|lang|="en"] cite cite {
193 quotes: none;
194 font-style: normal;
195 }
196 [xml|lang|="en"] cite:before,
197 [xml|lang|="en"] cite:after {
198 content: none;
199 }
200
201 var {
202 font-style: italic;
203 text-decoration: none;
204 }
205 var:lang(ja) {
206 font-style: normal;
207 text-decoration: underline;
208 }
209 var:lang(en) {
210 font-family: "Times New Roman", serif;
211 }
212
213 th[scope="row"] {
214 text-align: left;
215 }
216 th[scope="col"] {
217 text-align: center;
218 }
219
220 /* Edit */
221
222 h2|*[edit="inserted"] {
223 background-color: yellow;
224 color: black;
225 }
226
227 h2|*[edit="deleted"] {
228 background-color: #FFBBBB;
229 color: black;
230 }
231
232 h2|*[edit="changed"] {
233 background-color: lime;
234 color: black;
235 }
236
237 h2|*[edit="moved"] {
238
239 }
240
241 /* License
242
243 Copyright 2003-2004 Wakaba <[email protected]>.
244
245 This program is free software; you can redistribute it and/or modify
246 it under the terms of the GNU General Public License as published by
247 the Free Software Foundation; either version 2 of the License, or
248 (at your option) any later version.
249
250 This program is distributed in the hope that it will be useful,
251 but WITHOUT ANY WARRANTY; without even the implied warranty of
252 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
253 GNU General Public License for more details.
254
255 You should have received a copy of the GNU General Public License
256 along with this program; see the file COPYING. If not, write to
257 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
258 Boston, MA 02111-1307, USA.
259
260 */
261
262 /* $Date: 2004/12/05 06:48:19 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24